// Calculation of impedance and phase angle for a series L-C-R circuit
// SCILAB source file: tyk25-18.sce
// Get data from dialogue box
txt = ['Resistance (ohm)';'Capacitance (uF)';'Inductance (mH)';'Frequency (Hz)'];
var = x_mdialog('Enter resistance, capacitance, inductance and frequency',txt,['200';'22';'80';'50']);
r = evstr(var(1));
c = 1E-6 * evstr(var(2));
l = 1E-3 * evstr(var(3));
f = evstr(var(4));
// Calculate capacitive reactance
xc = (2*%pi*f*c)^-1;
// Calculate inductive reactance
xl = 2*%pi*f*l;
// Calculate impedance
z =(r^2 + (xl - xc)^2)^0.5;
// Calculate phase angle
phi = acos(r/z) * 57.3;
// Display result
messagebox("Impedance = " + string(z) + " ohm," + "  phase angle = " + string(phi) + " degrees")

